Name:           SDLmm
Version:        0.1.8
Release:        4%{?dist}
Summary:        C++ interface for the popular SDL library
Group:          System Environment/Libraries
License:        LGPL
URL:            http://sdlmm.sourceforge.net/
Source:         http://downloads.sourceforge.net/sdlmm/%{name}-%{version}.tar.bz2
Patch0:         SDLmm-0.1.8-asc-fixes.patch
Patch1:         SDLmm-0.1.8-aclocal.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel

%description
SDLmm is a C++ glue for SDL, or the Simple DirectMedia Layer, which is a
generic API that provides low level access to audio, keyboard, mouse,
joystick, 3D hardware via OpenGL, and 2D framebuffer across multiple
platforms.

SDLmm aims to stay as close as possible to the C API while taking
advantage of native C++ features like object orientation.


%package devel
Summary:        Headers for developing programs that will use SDLmm
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       SDL-devel automake

%description devel
This package contains the headers that programmers will need to develop
applications which will use SDLmm, the C++ interface to SDL.


%prep
%setup -q
%patch0 -p1 -z .asc
%patch1 -p1 -z .aclocal
# configure adds -lm to the LIBS to link in while it isn't used, and doesn't
# add -lstdc++, so we fix those both in one go here.
sed -i 's|  LIBS="-lm $LIBS"|  LIBS="-lstdc++ $LIBS"|' configure
# configure wants to add -O3, however RPM_OPT_FLAGS specifies -O2
sed -i 's|-O3|-O2|g' configure


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -p -m 644 src/sdlmm_misc.h $RPM_BUILD_ROOT%{_includedir}/%{name}
rm $RPM_BUILD_ROOT%{_libdir}/lib%{name}.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%{_libdir}/lib%{name}-0.1.so.*

%files devel
%defattr(-, root, root, -)
%doc docs/html/*.{html,gif}
%{_bindir}/sdlmm-config
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_datadir}/aclocal/sdlmm.m4
%{_mandir}/man3/%{name}*.3.gz
%{_mandir}/man3/sdlmm.h.3.gz


%changelog
* Fri Mar 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1.8-4
- Fixed underquired definition warning in /usr/share/aclocal/sdlmm.m4

* Wed Mar 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1.8-3
- Advanced Strategic Command (asc), the reason to package this, turns out to
  use its own private copy of SDLmm. This copy contains a few additional
  functions and one bug fix. These additional functions are currently not used
  by asc. Still I have decided to add not only the fix but also the additional
  functions to be future proof (they do not change the ABI). The asc copy also
  made some eventhandler prototype changes to make the passed references const,
  I've not taken over these changes as those do change the API + ABI (and they
  are not needed for asc).
- Fix Source0 URL (bz 233139)

* Tue Mar 20 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1.8-2
- Fix a bunch of undefined non weak symbol warnings (bz 233139)
- Stop configure from passing -O3 to the compiler

* Sun Mar 18 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1.8-1
- Initial Fedora Extras package based on specfile by Che (newrpms)
